Bug 103284 - dhcpd not updating dhcpd.leases
dhcpd not updating dhcpd.leases
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-28 11:21 EDT by Bastien Nocera
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 18:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2003-08-28 11:21:07 EDT
dhcpd is not updating dhcpd.leases when giving away IP addresses.
The versions tested are:
3.0pl1-23 (stock RHL9)
3.0pl2-6.13 (lastest rawhide)

An lsof | grep dhcp should /var/lib/dhcp/dhcpd.leases being opened
IP addresses being assigned are showing in /var/log/messages
Comment 1 Jason Vas Dias 2004-08-24 18:46:54 EDT
dhcpd no longer records static leases in its database -
ie. leases of a 'fixed-address' :
 subnet xxx.xxx.xxx.xxx netmask mmm.mmm.mmm.mmm {
      host n {     
                 hardware ethernet XX:XX:XX:XX:XX;
                 fixed-address nnn.nnn.nnn.nnn;
             }
} 
This is a STATIC LEASE and will NOT be recorded in
the dhcpd.leases database.

Only DYNAMIC LEASES, such as
subnet xxx.xxx.xxx.xxx netmask mmm.mmm.mmm.mmm {
       range xxx.xxx.xxx.xxx yyy.yyy.yyy.yyy;
}
are recorded in the database - this works OK with
dhcp-3.0.1-+

Comment 2 John Flanagan 2004-12-21 14:42:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.